"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.renameFile = void 0;
const tslib_1 = require("tslib");
const fs = tslib_1.__importStar(require("fs"));
const path = tslib_1.__importStar(require("path"));
/**
 *
 * @param fileUri absolute path for the file that needs to renamed
 * @param newFileName  "new file name" without the extension
 */
exports.renameFile = async (fileUri, newFileName) => {
    const filePath = fileUri.fsPath;
    const dirName = path.dirname(filePath);
    const extension = path.extname(filePath);
    const newFileUri = path.join(dirName, `${newFileName}${extension}`);
    return fs.promises.rename(filePath, newFileUri);
};
